<project xmlns="http://maven.apache.org/POM/4.0.0"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

  <modelVersion>4.0.0</modelVersion>

  <parent>
    <groupId>nl.naturalis.nba</groupId>
    <artifactId>nba-motherpom</artifactId>
    <version>2.30-SNAPSHOT</version>
  </parent>

  <artifactId>nl.naturalis.nba.common</artifactId>
  <name>NBA common</name>
  <description>Common classes and interfaces used throughout the NBA code base</description>


  <properties>
    <main.basedir>${project.parent.basedir}</main.basedir>
  </properties>

  <dependencies>

    <!-- Dependencies on other NBA modules -->
    <dependency>
      <groupId>nl.naturalis.nba</groupId>
      <artifactId>nl.naturalis.nba.api</artifactId>
      <version>2.30-SNAPSHOT</version>
    </dependency>

    <dependency>
      <groupId>nl.naturalis.nba</groupId>
      <artifactId>nl.naturalis.nba.utils</artifactId>
      <version>2.30-SNAPSHOT</version>
    </dependency>

    <dependency>
      <groupId>com.fasterxml.jackson.core</groupId>
      <artifactId>jackson-core</artifactId>
    </dependency>

    <dependency>
      <groupId>com.fasterxml.jackson.core</groupId>
      <artifactId>jackson-databind</artifactId>
    </dependency>

    <dependency>
      <groupId>com.fasterxml.jackson.core</groupId>
      <artifactId>jackson-annotations</artifactId>
    </dependency>

    <dependency>
      <groupId>de.grundid.opendatalab</groupId>
      <artifactId>geojson-jackson</artifactId>
    </dependency>

    <dependency>
      <groupId>org.apache.logging.log4j</groupId>
      <artifactId>log4j-api</artifactId>
    </dependency>

    <dependency>
      <groupId>org.apache.logging.log4j</groupId>
      <artifactId>log4j-core</artifactId>
    </dependency>

    <!-- TEST -->
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <scope>test</scope>
    </dependency>

  </dependencies>
</project>